From: Sophie Brun <sophie@offensive-security.com>
Date: Thu, 4 Jul 2024 15:20:03 +0200
Subject: Remove backwards compatibility

Upstream-bug: https://github.com/DefectDojo/django-DefectDojo/issues/10472

It breaks defectdojo in Kali:
[...]
File "/usr/lib/python3/dist-packages/rest_framework/routers.py", line 59, in register
raise ImproperlyConfigured(msg)
django.core.exceptions.ImproperlyConfigured: Router with basename "jira_instance" is already registered. Please provide a unique basename for viewset "<class 'dojo.api_v2.views.JiraInstanceViewSet'>"
---
 dojo/urls.py | 2 --
 1 file changed, 2 deletions(-)

diff --git a/dojo/urls.py b/dojo/urls.py
index 8a31d78..71d18ad 100644
--- a/dojo/urls.py
+++ b/dojo/urls.py
@@ -134,9 +134,7 @@ v2_api.register(r"global_roles", GlobalRoleViewSet, basename="global_role")
 v2_api.register(r"import-languages", ImportLanguagesView, basename="importlanguages")
 v2_api.register(r"import-scan", ImportScanView, basename="importscan")
 v2_api.register(r"jira_instances", JiraInstanceViewSet, basename="jira_instance")
-v2_api.register(r"jira_configurations", JiraInstanceViewSet, basename="jira_configurations")  # backwards compatibility
 v2_api.register(r"jira_finding_mappings", JiraIssuesViewSet, basename="jira_issue")
-v2_api.register(r"jira_product_configurations", JiraProjectViewSet, basename="jira_product_configurations")  # backwards compatibility
 v2_api.register(r"jira_projects", JiraProjectViewSet, basename="jira_project")
 v2_api.register(r"languages", LanguageViewSet, basename="languages")
 v2_api.register(r"language_types", LanguageTypeViewSet, basename="language_type")
